Add balance to merchant bank account (Sandbox Only)
curl --request POST \
--url https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/balance \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"amount": 10000,
"provider": "CELCOIN"
}
'import requests
url = "https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/balance"
payload = {
"amount": 10000,
"provider": "CELCOIN"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 10000, provider: 'CELCOIN'})
};
fetch('https://api-sandbox.rinne.com.br/core/v1/merchants/{merchantId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "CONFIRMED",
"request_id": "f9b978a6-ab7e-4460-997d-1234567890ab"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Validation error",
"status": 400,
"details": {
"issues": [
{
"field": "email",
"type": "REQUIRED",
"message": "Field 'email' is required",
"value": "invalid_value",
"constraints": {
"min": 18,
"max": 120
}
}
]
},
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "AUTHENTICATION_ERROR",
"message": "Authentication required to access this resource",
"status": 401,
"details": {
"reason": "Invalid API key"
},
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Company with ID '123' not found",
"status": 404,
"path": "/companies/me",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}{
"error": {
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected error occurred",
"status": 500,
"path": "/companies",
"timestamp": "2023-12-01T10:00:00.000Z",
"requestId": "req_123456789"
}
}Banking
Add balance to merchant bank account (Sandbox Only)
Adds balance to a merchant’s bank account for testing purposes. This endpoint is only available in sandbox environment.
This endpoint allows developers to add test funds to merchant bank accounts for testing PIX payments and other banking operations. The account number is automatically retrieved from the merchant’s active affiliation.
POST
/
v1
/
merchants
/
{merchantId}
/
balance
Add balance to merchant bank account (Sandbox Only)
Authorizations
Company API key for authentication
Path Parameters
Merchant/Company ID
Example:
"123e4567-e89b-12d3-a456-426614174000"
Body
application/json
⌘I

